<?php

	#--------------------------打卡签到--------------------------

	//$zt = date ("Y-m-d",strtotime("-1 day"));//获取昨天日期
	$date = date ('Y-m-d');//获取今天日期

	/*查看是否已签到,防止重复签到*/
	$sql = mysql_fetch_array(mysql_query("SELECT * FROM `qd` WHERE `user`='".AnYue_User."' and `date`='$date'"));
	if ($sql['user'] == Null){

		$arr = array ('日','一','二','三','四','五','六');
		/*获取用户上次签到时间*/
		$sql = mysql_fetch_array(mysql_query("SELECT * FROM `qd` WHERE `user`='".AnYue_User."' ORDER BY `date` DESC"));
		/*计算用户未签到时间*/
		$startdate = strtotime($sql['date']);
		$enddate = strtotime($date);
		$days = round(($enddate-$startdate)/3600/24) ;
		if ($days > 99 || $days == "0"){
			$days = '99+';
		}

		$code = '

		<div class="cc punch_widget_wrap">
		<div class="punch_widget " id="J_punch_widget">
			<div class="date">'.date('m.d').'<span>周'.$arr[date('w')].'</span></div>
			<div class="cont"><a href="index.php?act=my&in=7">'.$days.' 天未签到</a></div>
			<a href="javascript:alert(\'您还没有任何好友，不能执行此操作！\')" class="help_ta" tabindex="-1">帮Ta签到</a>
		</div>
		</div>
		<br>';
		$AnYue_Smarty -> assign ('code',$code);

	}


############################################################################

switch (@$_GET['type']){
	case 1;
		$AnYue_Smarty -> assign ('TuiGuangCi','矮油，我发现了个非常好滴“免费”挂Q网站，分享给大家：

【网页挂Q的优势】
1.网站云挂Q，即使电脑关机QQ也会在线！
2.强大稳定的服务器配置，让挂Q超稳定！
3.简单而强大的控制界面，入手即可使用！
【本站挂Q的优势】
1.采用多服务器分支挂机，更稳定！
2.支持自动更新SID码，让挂Q永久有效！
3.支持批量导入QQ号，使用户挂Q更加方便、快捷！
4.支持批量删除QQ号，省去用户管理操作烦恼！
5.简洁漂亮的程序界面，让用户一目了然！
6.完美支持3GQQ、手机QQ协议，使挂Q多样化！
7.挂机双通道，智能切换挂机法，你中有我，我中有你，3G、手机相互结合、相互配合！
8.强大而完善的用户中心（打卡签到、用户信息、账户余额、业务申请、挂Q配额、推广中心、我的权限）！
【分享此网站原因】
1.此网站功能强大，管理、使用方便，是个非常不错的挂Q网站以及系统，由于我的QQ太多，想获得更多挂机配额，所以才来分享给大家！
----------------------------------------------------------
【免费挂Q网站地址：'.$WebSite_Url.'t-'.$MyInfo['id'].'】');  //可用 dirname ($_SERVER['HTTP_REFERER']) 获取主站地址
		$AnYue_Smarty -> assign ('TuiGuangUrl',$WebSite_Url.'t-'.$MyInfo['id']);

	break;

	case 2;

	break;

	case 3;

	break;

	case 4;


	if (!empty ($_POST['day']) && !empty ($_POST['pe'])){
		$jf = $_POST['day'] * $_POST['pe'];
		$sql = mysql_fetch_array (mysql_query ("SELECT * FROM `user` WHERE `user`='".AnYue_User."'"));
		if ($jf > $sql['jf']){
			echo '<script>alert("积分不足，请推广网站获取更多积分！")</script><meta http-equiv="refresh" content="0;url=index.php?act=my&type=4">';
		}else{
			mysql_query ("UPDATE `user` SET `jf`='". ($sql['jf']-$jf) ."' WHERE `user`='".AnYue_User."'");
			mysql_query ("UPDATE `user` SET `peie`='". ($sql['peie']+$_POST['pe']) ."' WHERE `user`='".AnYue_User."'");
			mysql_query ("INSERT INTO `peie` (`user`,`number`,`doday`,`endday`,`key`) VALUES ('".AnYue_User."','{$_POST['pe']}','".date('Ymd')."','".date('Ymd',strtotime($_POST['day'].' day'))."','".date('Ymd').rand(1000000000,9999999999).date('His')."')");
			echo '<script>alert("恭喜您，操作成功！共消耗积分：'.$jf.' 枚")</script><meta http-equiv="refresh" content="0;url=index.php?act=my&type=4">';
		}
	
	}



	break;

	case '5';

		$MySql = mysql_query("SELECT * FROM `tui` WHERE `user`='".AnYue_User."'");

		while ($row = mysql_fetch_array($MySql)){
			$i++;
			$code .= '
      <tr>
        <td>'.$i.'</td>
        <td>'.$row['date'].'</td>
        <td>'.$row['ip'].'</td>
      </tr>

';
		}

		$AnYue_Smarty -> assign ('code',$code);


	break;

	case 6;

	break;

	case 7;
		header('refresh:0;url=index.php?act=AnYueGuaQ_qd&q=true');
		exit;
	break;
}